<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Models;

enum MentionType {
    case Like;
    case Comment;
    case Reply;
    case Mention;

    public function toString() : string
    {
        return match ($this) {
            MentionType::Like => "like",
            MentionType::Reply => "reply",
            MentionType::Mention => "mention"
        };
    }

    public static function from(string $string) : MentionType
    {
        switch($string) {
            case "like": return MentionType::Like;
            case "reply": return MentionType::Reply;
            default: return MentionType::Mention;
        }
    }
}
?>